Bug 142160 - Typo fix: multimedia/vlc
Summary: Typo fix: multimedia/vlc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-30 07:30 UTC by ganael.laplanche
Modified: 2010-01-07 11:10 UTC (History)
0 users

See Also:


Attachments
file.diff (411 bytes, patch)
2009-12-30 07:30 UTC, ganael.laplanche
no flags Details | Diff
vlc.diff (10.33 KB, patch)
2010-01-05 19:28 UTC, mi+thun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-12-30 07:30:07 UTC
This patch fixes a typo in vlc's Makefile (CONFIGURE_ARGS)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-30 07:30:22 UTC
Maintainer of multimedia/vlc,

Please note that PR ports/142160 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142160

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-30 07:30:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jsa.bsd 2009-12-30 10:35:31 UTC
Approved.
Comment 4 mi+thun 2010-01-05 19:28:25 UTC
I'd like to commit this along with a change, that removes major numbers 
from LIB_DEPENDS.

The current situation -- painful everywhere, but especially on ports 
with a large number of frequently-changing dependencies -- is that a lot 
of things end up rebuilt gratuitously... For example, someone may 
install mplayer today, update their ports tree tomorrow, and try to add 
vlc on Sunday.

If the major number of any of the shared libraries (libfoo installed by 
graphics/foo), that both mplayer and vlc use, changes, addinging vlc 
will fail. Instead of simply building vlc, the user will have to:

   1. Uninstall mplayer.
   2. Uninstall foo.
   3. Build a new version of foo.
   4. Rebuild mplayer.
   5. Rebuild vlc.

Yet in almost all cases vlc does not really care, whether the libfoo is 
version 48 or 51... Forcing such a rebuild is completely unnecessary...

    -mi
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-07 05:32:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

Over to maintainer.
Comment 6 jsa.bsd 2010-01-07 06:28:49 UTC
Removing shared library tracking from VLC would be a very bad thing.
When shlibs change numbers, so does their functionality. Sometimes they
may be backwards compatible, but not always. Plus, with the way that VLC
uses bleeding edge features willy nilly, and FreeBSDs librabries are
sometimes lagging behind current, keeping these updated sometimes opens
new features or better performance.

I cannot approve this, shlib tracking is implemented in all of the ports
tree for a reason. Port updating utilities generally provide a way to
skip updating of specific ports if you so desire.
Comment 7 Mikhail Teterin freebsd_committer 2010-01-07 06:58:47 UTC
Responsible Changed
From-To: mi->freebsd-ports-bugs

Resolve the confusion: I am not the maintainer of this port.
Comment 8 pav freebsd_committer 2010-01-07 10:24:00 UTC
State Changed
From-To: feedback->closed

portmgr rejects this patch
Comment 9 dfilter freebsd_committer 2010-01-07 11:05:31 UTC
kwm         2010-01-07 11:05:18 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/vlc       Makefile 
  Log:
  Fix typo in the --disable-flac case.
  
  PR:             ports/142160
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.209     +1 -1      ports/multimedia/vlc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"